class Core:
    def __init__(self, number, symbol, items):
        self.number = number
        self.symbol = symbol
        self.items = items

class Shifts:
    def __init__(self, number, shifts):
        self.number = number
        self.shifts = shifts

class Reductions:
    def __init__(self, number, rules):
        self.number = number
        self.rules = rules
